
QGIS Application - Bug report #7383

Layer properties window too wide

2013-03-17 12:19 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 16355

Description

The layer properties window is too wide for 1024 px screens; it can be resized, but the text does not wrap

History

#1 - 2016-01-18 07:37 AM - Alexander Bruy

- Status changed from Open to Feedback

Still true?

#2 - 2016-01-18 07:39 AM - Paolo Cavallini

Largely yes.

#3 - 2016-04-09 11:44 AM - Giovanni Manghi

Paolo Cavallini wrote:

Largely yes.

do we really still support resolutions like 1024px?

#4 - 2016-04-09 11:50 PM - Alexander Bruy

Hmm, just opened layer properties dialogs (both vector and raster) in Qt Designer and they are less then 1024 px wide. Vector properties is 904x588 and

raster properties is 789x593. Also I can resize them.

#5 - 2016-04-10 08:05 AM - Paolo Cavallini

- Status changed from Feedback to Open

The default is not really usable. When resized, as mentioned, the content does not resize, and is difficult to use.

IMHO the content can fit perfectly on a small screen (e.g. the slider can easily be shrunk and remains usable), it's just the layout that should be adjusted.

I acknowledge this is part of a larger issue: all the GUI should be adapted to small screens also.
#6 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2018-02-24 11:17 AM - Paolo Cavallini

- Resolution set to worksforme

- Description updated

- Status changed from Open to Closed

- Assignee deleted (Larry Shaffer)

Situation seems much better now. Please reopen if necessary.
